package container

import (
	"reflect"
)

type LogBroker struct {
	// 调用器
	caller Caller
	// 代码文件
	codeFile string
	// 服务方法
	method string
	// 描述
	description string
}

func (broker *LogBroker) Call(in []reflect.Value) []reflect.Value {
	// Todo 调整Log
	//grmi.Log(session.user, builder.codeFile, builder.method, builder.description)
	return broker.caller(in)
}
